%define modname raphf
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B14_%{modname}.ini

Summary:	Resource and persistent handles factory
Name:		php-%{modname}
Version:	1.1.2
Release:	%mkrel 1
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/%{modname}
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0

%description
A reusable split-off of pecl_http's persistent handle and resource factory API.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_includedir}/php/ext/%{modname}

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

install -m644 php_%{modname}.h %{buildroot}%{_includedir}/php/ext/%{modname}
install -m644 php_%{modname}_api.h %{buildroot}%{_includedir}/php/ext/%{modname}

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%{_includedir}/php/ext/%{modname}/php_%{modname}.h
%{_includedir}/php/ext/%{modname}/php_%{modname}_api.h


%changelog
* Fri Mar 10 2017 rapsys <rapsys> 1.1.2-1.mga6
+ Revision: 1091508
- Fix ini numbering
- Fix license
- imported package php-raphf

